Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.fo
Enum OdfTextTransformType

    java.lang.Object
      java.lang.Enum<OdfTextTransformType>
          org.odftoolkit.odfdom.dom.type.fo.OdfTextTransformType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextTransformType>

    public enum OdfTextTransformType

extends Enum<OdfTextTransformType>

DOM implementation of OpenDocument attribute fo:text-transform.

Enum Constant Summary
`CAPITALIZE`
`LOWERCASE`
`NONE`
`UPPERCASE`

Method Summary
`static OdfTextTransformType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextTransformType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextTransformType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextTransformType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CAPITALIZE

    public static final OdfTextTransformType CAPITALIZE

### NONE

    public static final OdfTextTransformType NONE

### LOWERCASE

    public static final OdfTextTransformType LOWERCASE

### UPPERCASE

    public static final OdfTextTransformType UPPERCASE

Method Detail

### values

    public static OdfTextTransformType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextTransformType c : OdfTextTransformType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextTransformType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextTransformType>`
  Returns:
    return the name of OdfTextTransformType

### toString

    public static String toString(OdfTextTransformType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextTransformType, see fo:text-transform
  Returns:
    return the name of OdfTextTransformType

### enumValueOf

    public static OdfTextTransformType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextTransformType
  Returns:
    return the constant of OdfTextTransformType, see fo:text-transform

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.